package cn.com.ty.chat.neety.protocol;

import lombok.Data;

/**
 * 聊天记录
 * 
 * @author Xson
 * @date 2020-04-22
 */
@Data
public class ChatMsgDTO {

    /**
     * session 会话
     */
    private String sessionid;

    /**
     * 来自
     */
    private String fromUser;

    /**
     * 到达
     */
    private Integer toUser;

    /**
     * 信息 聊天信息
     */
    private String msg;

    /**
     * 状态 0:正常1:屏蔽
     */
    private Integer statuz;

    /**
     * '消息类型：1文本、2图片、3视频、4语言'
     */
    private Integer type;

    private String name;

    private String avatarUrl;

    private String signature;

    private Integer age;

    private Integer userLevel;

    private Integer gender;
    
    private String createTime;

}
